libglom-1.20: Glom Namespace Reference

libglom-1.20 1.19.7

- Main Page
- Namespaces
- Classes

- Namespace List
- Namespace Members

Namespaces | Classes | Typedefs | Functions | Variables

# Glom Namespace Reference

## Namespaces
namespace | Conversions
namespace | DbUtils
namespace | Utils
## Classes
class | AppState
| There is one instance per document. More...
class | sharedptr
| A ref-counting smart-pointer for the underlying C++ object. More...
class | predicate_FieldHasName
| A predicate for use with std::find_if() to find a Field or LayoutItem which refers to the same field, looking at just the name. More...
class | Field
class | FieldTypes
class | FoundSet
| A grouping of information about a view of a table, including what records are viewed (the where clause), how the are sorted (the sort clause). More...
class | HasTitleSingular
| HasTitleSingular instances may have a (translated) singular form of their title. More...
class | GroupInfo
class | NumericFormat
class | ParameterNameGenerator
class | PrintLayout
class | Privileges
class | Relationship
class | Report
class | SystemPrefs
class | TableInfo
class | TranslatableItem
| TranslatableItem have a map of translation strings - one string for each locale. More...
class | CustomTitle
class | FieldFormatting
class | LayoutGroup
class | LayoutItem
class | LayoutItem_Button
class | LayoutItem_CalendarPortal
class | predicate_LayoutItem_Field_IsSameField
| A predicate for use with std::find_if() to find a LayoutItem_Field which refers to the same field, without comparing irrelevant stuff such as formatting. More...
class | LayoutItem_Field
| A LayoutItem that shows the data from a table field. More...
class | LayoutItem_Image
class | LayoutItem_Line
| This is only used on print layouts. More...
class | LayoutItem_Notebook
| The child items are LayoutGroups, each of which will be shown on its own tab. More...
class | LayoutItem_Placeholder
class | LayoutItem_Portal
class | LayoutItem_Text
class | LayoutItem_WithFormatting
| A base class for all layout items that may have formatting options. More...
class | UsesRelationship
class | LayoutItem_FieldSummary
class | LayoutItem_Footer
class | LayoutItem_GroupBy
| The child items are fields to be shown for each record in the group. More...
class | LayoutItem_Header
class | LayoutItem_Summary
class | LayoutItem_VerticalGroup
| The child items are arranged vertically in a row on a report. More...
class | Document
## Typedefs
typedef std::list < type_pair_sort_field > | type_sort_clause
typedef GlomBakery::View_Composite < Document > | View_Composite_Glom
## Functions
void | libglom_init ()
| This must be used by applications other than Glom, which are unlikely to otherwise initialize the libraries used by libglom.
void | libglom_deinit ()
template<class T_obj >
sharedptr< T_obj > | glom_sharedptr_clone (const sharedptr< T_obj >& src)
template<class T_obj >
sharedptr< T_obj > | glom_sharedptr_clone (const sharedptr< const T_obj >& src)
template<class T_object >
Glib::ustring | glom_get_sharedptr_name (const sharedptr< T_object >& item)
template<class T_object >
Glib::ustring | glom_get_sharedptr_title_or_name (const sharedptr< T_object >& item)
## Variables
home murrayc checkouts gnome30 glom glom libglom utils h home murrayc checkouts gnome30 glom glom libglom utils h typedef std::pair< sharedptr< const LayoutItem_Field >, bool > | type_pair_sort_field
| field, ascending
home murrayc checkouts gnome30 glom glom libglom document view h typedef GlomBakery::View< Document > | View_Glom
| The base View for the document.
const char | GLOM_IMAGE_FORMAT [] = "png"
const char | GLOM_IMAGE_FORMAT_MIME_TYPE [] = "image/png"

## Typedef Documentation

typedef std::list<type_pair_sort_field> Glom::type_sort_clause

typedef GlomBakery::View_Composite<Document> Glom::View_Composite_Glom

## Function Documentation

template <class T_object >

Glib::ustring Glom::glom_get_sharedptr_name | ( | const sharedptr< T_object > & | item | ) |

template <class T_object >

Glib::ustring Glom::glom_get_sharedptr_title_or_name | ( | const sharedptr< T_object > & | item | ) |

template <class T_obj >

sharedptr<T_obj> Glom::glom_sharedptr_clone | ( | const sharedptr< const T_obj > & | src | ) |

template <class T_obj >

sharedptr<T_obj> Glom::glom_sharedptr_clone | ( | const sharedptr< T_obj > & | src | ) |

void Glom::libglom_deinit | ( |  | ) |

void Glom::libglom_init | ( |  | ) |

This must be used by applications other than Glom, which are unlikely to otherwise initialize the libraries used by libglom.

Glom uses it too, just to avoid duplicating code.

## Variable Documentation

const char Glom::GLOM_IMAGE_FORMAT[] = "png"

const char Glom::GLOM_IMAGE_FORMAT_MIME_TYPE[] = "image/png"

home murrayc checkouts gnome30 glom glom libglom utils h home murrayc checkouts gnome30 glom glom libglom utils h typedef std::pair< sharedptr<const LayoutItem_Field>, bool> Glom::type_pair_sort_field

field, ascending

home murrayc checkouts gnome30 glom glom libglom document view h typedef GlomBakery::View<Document> Glom::View_Glom

The base View for the document.